.\" $NetBSD: uhidev.4,v 1.4 2005/07/30 13:22:35 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 30, 2005
.Dt UHIDEV 4
.Os
.Sh NAME
.Nm uhidev
.Nd USB Human Interface Device support
.Sh SYNOPSIS
.Cd "uhidev* at uhub?"
.Cd "ucycom* at uhidev? reportid ?"
.Cd "uhid*   at uhidev? reportid ?"
.Cd "ukbd*   at uhidev? reportid ?"
.Cd "ums*    at uhidev? reportid ?"
.Sh DESCRIPTION
The
.Nm
driver handles all Human Interface Devices.  Each HID device
can have several components, e.g., a keyboard and a mouse.
These components use different report identifiers (a byte) to
distinguish which one data is coming from.  The
.Nm
driver has other drivers attached that handle particular
kinds of devices and
.Nm
only dispatches data to them based on the report id.
.Sh SEE ALSO
.Xr ucycom 4 ,
.Xr uhid 4 ,
.Xr ukbd 4 ,
.Xr ums 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
